# Functions

## `xplog(level, format)`

Print a formatted message using LOG function.

Meaning of the parameters is as follows:

- level - The level that will be used in LOG function. It can be:

  - L_ALERT

  - L_CRIT

  - L_ERR

  - L_WARN

  - L_NOTICE

  - L_INFO

  - L_DBG

  What really matters is the third letter of the value.

- format - The formatted string to be printed.

### `xplog` usage

    ...
    xplog("L_ERR", "time [%Tf] method <%rm> r-uri <%ru> 2nd via <%{via[1]}>\n");
    ...

## `xpdbg(format)`

Print a formatted message using DBG function.

Meaning of the parameters is as follows:

- format - The formatted string to be printed.

### `xpdbg` usage

    ...
    xpdbg("time [%Tf] method <%rm> r-uri <%ru>\n");
    ...